Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.sql
Class QSql.TableType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.sql.QSql.TableType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  QSql

    public static final class QSql.TableType

extends java.lang.Enum
implements QtEnumerator

This enum type describes types of SQL tables.

See Also:
  Serialized Form

Field Summary
`static QSql.TableType` | `AllTables` All of the above.
`static QSql.TableType` | `SystemTables` Internal tables used by the database.
`static QSql.TableType` | `Tables` All the tables visible to the user.
`static QSql.TableType` | `Views` All the views visible to the user.

Method Summary
`static QSql.TableType` | `resolve(int value)` Returns the TableType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSql.TableType` | `valueOf(java.lang.String name)`
`static QSql.TableType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Tables

    public static final QSql.TableType Tables

  All the tables visible to the user.

### SystemTables

    public static final QSql.TableType SystemTables

  Internal tables used by the database.

### Views

    public static final QSql.TableType Views

  All the views visible to the user.

### AllTables

    public static final QSql.TableType AllTables

  All of the above.

Method Detail

### values

    public static QSql.TableType[] values()

### valueOf

    public static QSql.TableType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSql.TableType resolve(int value)

  Returns the TableType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD